edu.ucsb.nceas.metacat

## Class IndexingQueue

- java.lang.Object
- - edu.ucsb.nceas.metacat.IndexingQueue

-     public class IndexingQueue
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Vector<java.lang.String>` | `currentDocidsBeingIndexed`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `add(edu.ucsb.nceas.metacat.IndexingQueueObject queueObject)`
    `void` | `add(java.lang.String docid, java.lang.String rev)`
    `static IndexingQueue` | `getInstance()`
    `boolean` | `getMetacatRunning()`
    `protected edu.ucsb.nceas.metacat.IndexingQueueObject` | `getNext()`
    `void` | `remove(java.lang.String docid, java.lang.String rev)` Removes the Indexing Task object from the queue for the given docid.
    `void` | `setMetacatRunning(boolean metacatRunning)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currentDocidsBeingIndexed

          public java.util.Vector<java.lang.String> currentDocidsBeingIndexed

  - ### Method Detail

    - #### getInstance

          public static IndexingQueue getInstance()

    - #### add

          public void add(java.lang.String docid,
                          java.lang.String rev)

    - #### add

          protected void add(edu.ucsb.nceas.metacat.IndexingQueueObject queueObject)

    - #### getMetacatRunning

          public boolean getMetacatRunning()

    - #### setMetacatRunning

          public void setMetacatRunning(boolean metacatRunning)

    - #### getNext

          protected edu.ucsb.nceas.metacat.IndexingQueueObject getNext()

    - #### remove

          public void remove(java.lang.String docid,
                             java.lang.String rev)

      Removes the Indexing Task object from the queue for the given docid. Currently, rev is ignored This method should be used to cancel scheduled indexing on a document (typically if it is being deleted but indexing has not completed yet) see http://bugzilla.ecoinformatics.org/show_bug.cgi?id=5750
      Parameters:
        `docid` - the docid (without revision)
        `rev` - the docid's rev (ignored)

Copyright © 2020 Regents of the University of California. All Rights Reserved.